Bug 865691 - Review Request: laditools - a collection of linux audio tools
Review Request: laditools - a collection of linux audio tools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio 865699
  Show dependency treegraph
 
Reported: 2012-10-12 03:07 EDT by Brendan Jones
Modified: 2012-11-18 23:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 23:27:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-12 03:07:33 EDT
LADITools is a set of tools aiming to achieve the goals of the LADI
project to improve desktop integration and user workflow of Linux
audio system based on JACK and ladish. Those tools take advantage of
the D-Bus interfaces recently added to JACK and ladish to ease the
configuration and use of those two great softwares.

SPEC: http://bsjones.fedorapeople.org/laditools.spec
SRPM: http://bsjones.fedorapeople.org/laditools-1.0.1-2.fc18.src.rpm

laditools.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.src: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.src: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.noarch: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: no-manual-page-for-binary g15ladi
laditools.noarch: W: no-manual-page-for-binary ladi-player
laditools.noarch: W: no-manual-page-for-binary ladi-system-tray
laditools.noarch: W: no-manual-page-for-binary wmladi
laditools.noarch: W: no-manual-page-for-binary ladi-system-log
laditools.noarch: W: no-manual-page-for-binary ladi-control-center
2 packages and 0 specfiles checked; 0 errors, 12 warnings.
Comment 1 Eduardo Echeverria 2012-10-14 00:17:33 EDT
Hi Brendan:
your package also requires this dependencies
BuildRequires: desktop-file-utils
Requires: python-enum

In my opinion, though your form too is correct, I would do this with shebangs:

for file in `find %{buildroot}/%{python_sitelib}/%{name} -type f ! -perm /a+x`; do
    [ ! -z "`head -n 1 $file | grep \"^#!/\"`" ] && chmod 0755 $file
done

Regards
Comment 2 Brendan Jones 2012-10-14 02:09:02 EDT
Thanks Eduardo, added missing BR's and requires.

Left the patch for simplicity at this point, but thanks for the tip.


SPEC: http://bsjones.fedorapeople.org/laditools.spec
SRPM: http://bsjones.fedorapeople.org/laditools-1.0.1-3.fc18.src.rpm
Comment 3 Eduardo Echeverria 2012-10-14 02:39:41 EDT
I'm Sorry, I didn't see the last time, please add BR's python2-devel
Comment 4 Brendan Jones 2012-10-14 03:26:20 EDT
python2-devel is implicit in the build root.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4588720
Comment 5 Eduardo Echeverria 2012-10-14 03:41:23 EDT
I know, but guidelines are guidelines, but any package generated with python must contain the correct python version in use
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 7 Eduardo Echeverria 2012-10-14 05:47:39 EDT
Koji Build Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=4588734
Koji Build F18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4588736
Koji Build F17
http://koji.fedoraproject.org/koji/taskinfo?taskID=4588738

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". 1 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/laditools/865691-laditools/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (laditools-1.0.1.tar.bz2)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: laditools-1.0.1-4.fc17.noarch.rpm
          laditools-1.0.1-4.fc17.src.rpm
laditools.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.noarch: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: no-manual-page-for-binary g15ladi
laditools.noarch: W: no-manual-page-for-binary ladi-player
laditools.noarch: W: no-manual-page-for-binary ladi-system-tray
laditools.noarch: W: no-manual-page-for-binary wmladi
laditools.noarch: W: no-manual-page-for-binary ladi-system-log
laditools.noarch: W: no-manual-page-for-binary ladi-control-center
laditools.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.src: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.src: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint laditools
laditools.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.noarch: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: no-manual-page-for-binary g15ladi
laditools.noarch: W: no-manual-page-for-binary ladi-player
laditools.noarch: W: no-manual-page-for-binary ladi-system-tray
laditools.noarch: W: no-manual-page-for-binary wmladi
laditools.noarch: W: no-manual-page-for-binary ladi-system-log
laditools.noarch: W: no-manual-page-for-binary ladi-control-center
1 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
laditools-1.0.1-4.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/python  
    a2jmidid  
    jack-audio-connection-kit-dbus  
    python(abi) = 2.7
    python-enum  



Provides
--------
laditools-1.0.1-4.fc17.noarch.rpm:
    
    laditools = 1.0.1-4.fc17



MD5-sum check
-------------
https://launchpad.net/laditools/1.0/1.0.1/+download/laditools-1.0.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 4a4e2bdfbe90f5d555bbff691f21c5fa928dc8c880ebf22ab865e5eb1913e6a4
  CHECKSUM(SHA256) upstream package : 4a4e2bdfbe90f5d555bbff691f21c5fa928dc8c880ebf22ab865e5eb1913e6a4

I find no MIT license in the source, check if the package is only MIT and GPLv3 or only GPLv3

Only that, and the package will be approved

Best Regards
Comment 8 Brendan Jones 2012-10-14 12:56:20 EDT
Thanks so much for the review! Removed MIT license - not sure what I was thinking (probably copied in by mistake from my template)

SPEC: http://bsjones.fedorapeople.org/laditools.spec
SRPM: http://bsjones.fedorapeople.org/laditools-1.0.1-5.fc18.src.rpm
Comment 9 Eduardo Echeverria 2012-10-14 15:50:27 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". 1 files have unknown license. Detailed output of
     licensecheck in
     /home/makerpm/laditools2/865691-laditools/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (laditools-1.0.1.tar.bz2)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: laditools-1.0.1-5.fc17.noarch.rpm
          laditools-1.0.1-5.fc17.src.rpm
laditools.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.noarch: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: no-manual-page-for-binary g15ladi
laditools.noarch: W: no-manual-page-for-binary ladi-player
laditools.noarch: W: no-manual-page-for-binary ladi-system-tray
laditools.noarch: W: no-manual-page-for-binary wmladi
laditools.noarch: W: no-manual-page-for-binary ladi-system-log
laditools.noarch: W: no-manual-page-for-binary ladi-control-center
laditools.src: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.src: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.src: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
2 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint laditools
laditools.noarch: W: spelling-error %description -l en_US workflow -> work flow, work-flow, workforce
laditools.noarch: W: spelling-error %description -l en_US ladish -> laddish, radish, latish
laditools.noarch: W: spelling-error %description -l en_US softwares -> software, software's, soft wares
laditools.noarch: W: no-manual-page-for-binary g15ladi
laditools.noarch: W: no-manual-page-for-binary ladi-player
laditools.noarch: W: no-manual-page-for-binary ladi-system-tray
laditools.noarch: W: no-manual-page-for-binary wmladi
laditools.noarch: W: no-manual-page-for-binary ladi-system-log
laditools.noarch: W: no-manual-page-for-binary ladi-control-center
1 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
laditools-1.0.1-5.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/python  
    a2jmidid  
    jack-audio-connection-kit-dbus  
    python(abi) = 2.7
    python-enum  



Provides
--------
laditools-1.0.1-5.fc17.noarch.rpm:
    
    laditools = 1.0.1-5.fc17



MD5-sum check
-------------
https://launchpad.net/laditools/1.0/1.0.1/+download/laditools-1.0.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 4a4e2bdfbe90f5d555bbff691f21c5fa928dc8c880ebf22ab865e5eb1913e6a4
  CHECKSUM(SHA256) upstream package : 4a4e2bdfbe90f5d555bbff691f21c5fa928dc8c880ebf22ab865e5eb1913e6a4


----------------

PACKAGE APPROVED

----------------
Comment 10 Brendan Jones 2012-10-14 17:12:48 EDT
Thanks again for the review!

New Package SCM Request
=======================
Package Name: laditools
Short Description: A collection of Linux audio tools
Owners: bsjones
Branches:f16 f17 f18
InitialCC:
Comment 11 Gwyn Ciesla 2012-10-14 21:49:34 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-10-21 08:39:22 EDT
laditools-1.0.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/laditools-1.0.1-5.fc18
Comment 13 Fedora Update System 2012-10-21 08:39:33 EDT
laditools-1.0.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/laditools-1.0.1-5.fc17
Comment 14 Fedora Update System 2012-10-21 15:24:19 EDT
laditools-1.0.1-5.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.